Bug 249986 - RFE: change spec file to permit enabling bytecode-interpreter and subpixel-rendering without editing spec file (patch included)
Summary: RFE: change spec file to permit enabling bytecode-interpreter and subpixel-re...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-29 01:23 UTC by Need Real Name
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 19:56:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for freetype spec file (1.18 KB, patch)
2007-07-29 01:23 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2007-07-29 01:23:57 UTC
Description of problem:

To enable the freetype bytecode interpreter or sub-pixel rendering, users must
edit the freetype spec file manually.  It would be an improvement to allow users
to specify the following command line to enable these capabilities:

rpmbuild --rebuild --with bytecode_interpreter --with subpixel_rendering
freetype-x.y.z.src.rpm

A patch is attached which provides this capability.


Version-Release number of selected component (if applicable):

2.3.4

How reproducible:

always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

easier method to fully utilize freetype src rpm

Additional info:

Comment 1 Need Real Name 2007-07-29 01:23:57 UTC
Created attachment 160180 [details]
patch for freetype spec file

Comment 2 Behdad Esfahbod 2007-07-31 19:56:02 UTC
* Tue Jul 31 2007 Behdad Esfahbod <besfahbo@redhat.com> 2.3.5-2
- Change spec file to permit enabling bytecode-interpreter and
  subpixel-rendering without editing spec file.
- Resolves: 249986


Comment 3 Need Real Name 2007-08-01 03:21:15 UTC
whoohoo!  That was fast, thanks.


Note You need to log in before you can comment on or make changes to this bug.